Index: LMDZ5/branches/testing/libf/dyn3d_common/fyhyp_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/fyhyp_m.F90	(revision 2258)
+++ LMDZ5/branches/testing/libf/dyn3d_common/fyhyp_m.F90	(revision 2258)
@@ -0,0 +1,342 @@
+module fyhyp_m
+
+  IMPLICIT NONE
+
+contains
+
+  SUBROUTINE fyhyp(rlatu, yyprimu, rlatv, rlatu2, yprimu2, rlatu1, yprimu1)
+
+    ! From LMDZ4/libf/dyn3d/fyhyp.F, version 1.2, 2005/06/03 09:11:32
+
+    ! Author: P. Le Van, from analysis by R. Sadourny 
+
+    ! Calcule les latitudes et dérivées dans la grille du GCM pour une
+    ! fonction f(y) à dérivée tangente hyperbolique.
+
+    ! Il vaut mieux avoir : grossismy * dzoom < pi / 2
+
+    use coefpoly_m, only: coefpoly
+    use nrtype, only: k8
+
+    include "dimensions.h"
+    ! for jjm
+
+    include "serre.h"
+    ! for clat, grossismy, dzoomy, tauy
+
+    REAL, intent(out):: rlatu(jjm + 1), yyprimu(jjm + 1)
+    REAL, intent(out):: rlatv(jjm)
+    real, intent(out):: rlatu2(jjm), yprimu2(jjm), rlatu1(jjm), yprimu1(jjm)
+
+    ! Local: 
+
+    REAL(K8) champmin, champmax
+    INTEGER, PARAMETER:: nmax=30000, nmax2=2*nmax
+    REAL dzoom ! distance totale de la zone du zoom (en radians)
+    REAL(K8) ylat(jjm + 1), yprim(jjm + 1)
+    REAL(K8) yuv
+    REAL(K8), save:: yt(0:nmax2)
+    REAL(K8) fhyp(0:nmax2), beta
+    REAL(K8), save:: ytprim(0:nmax2)
+    REAL(K8) fxm(0:nmax2)
+    REAL(K8), save:: yf(0:nmax2)
+    REAL(K8) yypr(0:nmax2)
+    REAL(K8) yvrai(jjm + 1), yprimm(jjm + 1), ylatt(jjm + 1)
+    REAL(K8) pi, pis2, epsilon, y0, pisjm
+    REAL(K8) yo1, yi, ylon2, ymoy, yprimin
+    REAL(K8) yfi, yf1, ffdy
+    REAL(K8) ypn, deply, y00
+    SAVE y00, deply
+
+    INTEGER i, j, it, ik, iter, jlat
+    INTEGER jpn, jjpn
+    SAVE jpn
+    REAL(K8) a0, a1, a2, a3, yi2, heavyy0, heavyy0m
+    REAL(K8) fa(0:nmax2), fb(0:nmax2)
+    REAL y0min, y0max
+
+    REAL(K8) heavyside
+
+    !-------------------------------------------------------------------
+
+    print *, "Call sequence information: fyhyp"
+
+    pi = 2.*asin(1.)
+    pis2 = pi/2.
+    pisjm = pi/real(jjm)
+    epsilon = 1e-3
+    y0 = clat*pi/180.
+    dzoom = dzoomy*pi
+    print *, 'yzoom(rad), grossismy, tauy, dzoom (rad):'
+    print *, y0, grossismy, tauy, dzoom
+
+    DO i = 0, nmax2
+       yt(i) = -pis2 + real(i)*pi/nmax2
+    END DO
+
+    heavyy0m = heavyside(-y0)
+    heavyy0 = heavyside(y0)
+    y0min = 2.*y0*heavyy0m - pis2
+    y0max = 2.*y0*heavyy0 + pis2
+
+    fa = 999.999
+    fb = 999.999
+
+    DO i = 0, nmax2
+       IF (yt(i)<y0) THEN
+          fa(i) = tauy*(yt(i)-y0 + dzoom/2.)
+          fb(i) = (yt(i)-2.*y0*heavyy0m + pis2)*(y0-yt(i))
+       ELSE IF (yt(i)>y0) THEN
+          fa(i) = tauy*(y0-yt(i) + dzoom/2.)
+          fb(i) = (2.*y0*heavyy0-yt(i) + pis2)*(yt(i)-y0)
+       END IF
+
+       IF (200.*fb(i)<-fa(i)) THEN
+          fhyp(i) = -1.
+       ELSE IF (200.*fb(i)<fa(i)) THEN
+          fhyp(i) = 1.
+       ELSE
+          fhyp(i) = tanh(fa(i)/fb(i))
+       END IF
+
+       IF (yt(i)==y0) fhyp(i) = 1.
+       IF (yt(i)==y0min .OR. yt(i)==y0max) fhyp(i) = -1.
+    END DO
+
+    ! Calcul de beta 
+
+    ffdy = 0.
+
+    DO i = 1, nmax2
+       ymoy = 0.5*(yt(i-1) + yt(i))
+       IF (ymoy<y0) THEN
+          fa(i) = tauy*(ymoy-y0 + dzoom/2.)
+          fb(i) = (ymoy-2.*y0*heavyy0m + pis2)*(y0-ymoy)
+       ELSE IF (ymoy>y0) THEN
+          fa(i) = tauy*(y0-ymoy + dzoom/2.)
+          fb(i) = (2.*y0*heavyy0-ymoy + pis2)*(ymoy-y0)
+       END IF
+
+       IF (200.*fb(i)<-fa(i)) THEN
+          fxm(i) = -1.
+       ELSE IF (200.*fb(i)<fa(i)) THEN
+          fxm(i) = 1.
+       ELSE
+          fxm(i) = tanh(fa(i)/fb(i))
+       END IF
+       IF (ymoy==y0) fxm(i) = 1.
+       IF (ymoy==y0min .OR. yt(i)==y0max) fxm(i) = -1.
+       ffdy = ffdy + fxm(i)*(yt(i)-yt(i-1))
+    END DO
+
+    beta = (grossismy*ffdy-pi)/(ffdy-pi)
+
+    IF (2. * beta - grossismy <= 0.) THEN
+       print *, 'Attention ! La valeur beta calculee dans la routine fyhyp ' &
+            // 'est mauvaise. Modifier les valeurs de grossismy, tauy ou ' &
+            // 'dzoomy et relancer.'
+       STOP 1
+    END IF
+
+    ! calcul de Ytprim 
+
+    DO i = 0, nmax2
+       ytprim(i) = beta + (grossismy-beta)*fhyp(i)
+    END DO
+
+    ! Calcul de Yf 
+
+    yf(0) = -pis2
+    DO i = 1, nmax2
+       yypr(i) = beta + (grossismy-beta)*fxm(i)
+    END DO
+
+    DO i = 1, nmax2
+       yf(i) = yf(i-1) + yypr(i)*(yt(i)-yt(i-1))
+    END DO
+
+    ! yuv = 0. si calcul des latitudes aux pts. U 
+    ! yuv = 0.5 si calcul des latitudes aux pts. V 
+
+    loop_ik: DO ik = 1, 4
+       IF (ik==1) THEN
+          yuv = 0.
+          jlat = jjm + 1
+       ELSE IF (ik==2) THEN
+          yuv = 0.5
+          jlat = jjm
+       ELSE IF (ik==3) THEN
+          yuv = 0.25
+          jlat = jjm
+       ELSE IF (ik==4) THEN
+          yuv = 0.75
+          jlat = jjm
+       END IF
+
+       yo1 = 0.
+       DO j = 1, jlat
+          yo1 = 0.
+          ylon2 = -pis2 + pisjm*(real(j) + yuv-1.)
+          yfi = ylon2
+
+          it = nmax2
+          DO while (it >= 1 .and. yfi < yf(it))
+             it = it - 1
+          END DO
+
+          yi = yt(it)
+          IF (it==nmax2) THEN
+             it = nmax2 - 1
+             yf(it + 1) = pis2
+          END IF
+
+          ! Interpolation entre yi(it) et yi(it + 1) pour avoir Y(yi)
+          ! et Y'(yi) 
+
+          CALL coefpoly(yf(it), yf(it + 1), ytprim(it), ytprim(it + 1), &
+               yt(it), yt(it + 1), a0, a1, a2, a3)
+
+          yf1 = yf(it)
+          yprimin = a1 + 2.*a2*yi + 3.*a3*yi*yi
+
+          iter = 1
+          DO
+             yi = yi - (yf1-yfi)/yprimin
+             IF (abs(yi-yo1)<=epsilon .or. iter == 300) exit
+             yo1 = yi
+             yi2 = yi*yi
+             yf1 = a0 + a1*yi + a2*yi2 + a3*yi2*yi
+             yprimin = a1 + 2.*a2*yi + 3.*a3*yi2
+          END DO
+          if (abs(yi-yo1) > epsilon) then
+             print *, 'Pas de solution.', j, ylon2
+             STOP 1
+          end if
+
+          yprimin = a1 + 2.*a2*yi + 3.*a3*yi*yi
+          yprim(j) = pi/(jjm*yprimin)
+          yvrai(j) = yi
+       END DO
+
+       DO j = 1, jlat - 1
+          IF (yvrai(j + 1)<yvrai(j)) THEN
+             print *, 'Problème avec rlat(', j + 1, ') plus petit que rlat(', &
+                  j, ')'
+             STOP 1
+          END IF
+       END DO
+
+       print *, 'Reorganisation des latitudes pour avoir entre - pi/2 et pi/2'
+
+       IF (ik==1) THEN
+          ypn = pis2
+          DO j = jjm + 1, 1, -1
+             IF (yvrai(j)<=ypn) exit
+          END DO
+
+          jpn = j
+          y00 = yvrai(jpn)
+          deply = pis2 - y00
+       END IF
+
+       DO j = 1, jjm + 1 - jpn
+          ylatt(j) = -pis2 - y00 + yvrai(jpn + j-1)
+          yprimm(j) = yprim(jpn + j-1)
+       END DO
+
+       jjpn = jpn
+       IF (jlat==jjm) jjpn = jpn - 1
+
+       DO j = 1, jjpn
+          ylatt(j + jjm + 1-jpn) = yvrai(j) + deply
+          yprimm(j + jjm + 1-jpn) = yprim(j)
+       END DO
+
+       ! Fin de la reorganisation
+
+       DO j = 1, jlat
+          ylat(j) = ylatt(jlat + 1-j)
+          yprim(j) = yprimm(jlat + 1-j)
+       END DO
+
+       DO j = 1, jlat
+          yvrai(j) = ylat(j)*180./pi
+       END DO
+
+       IF (ik==1) THEN
+          DO j = 1, jjm + 1
+             rlatu(j) = ylat(j)
+             yyprimu(j) = yprim(j)
+          END DO
+       ELSE IF (ik==2) THEN
+          DO j = 1, jjm
+             rlatv(j) = ylat(j)
+          END DO
+       ELSE IF (ik==3) THEN
+          DO j = 1, jjm
+             rlatu2(j) = ylat(j)
+             yprimu2(j) = yprim(j)
+          END DO
+       ELSE IF (ik==4) THEN
+          DO j = 1, jjm
+             rlatu1(j) = ylat(j)
+             yprimu1(j) = yprim(j)
+          END DO
+       END IF
+    END DO loop_ik
+
+    DO j = 1, jjm
+       ylat(j) = rlatu(j) - rlatu(j + 1)
+    END DO
+    champmin = 1e12
+    champmax = -1e12
+    DO j = 1, jjm
+       champmin = min(champmin, ylat(j))
+       champmax = max(champmax, ylat(j))
+    END DO
+    champmin = champmin*180./pi
+    champmax = champmax*180./pi
+
+    DO j = 1, jjm
+       IF (rlatu1(j) <= rlatu2(j)) THEN
+          print *, 'Attention ! rlatu1 < rlatu2 ', rlatu1(j), rlatu2(j), j
+          STOP 13
+       ENDIF
+
+       IF (rlatu2(j) <= rlatu(j+1)) THEN
+          print *, 'Attention ! rlatu2 < rlatup1 ', rlatu2(j), rlatu(j+1), j
+          STOP 14
+       ENDIF
+
+       IF (rlatu(j) <= rlatu1(j)) THEN
+          print *, ' Attention ! rlatu < rlatu1 ', rlatu(j), rlatu1(j), j
+          STOP 15
+       ENDIF
+
+       IF (rlatv(j) <= rlatu2(j)) THEN
+          print *, ' Attention ! rlatv < rlatu2 ', rlatv(j), rlatu2(j), j
+          STOP 16
+       ENDIF
+
+       IF (rlatv(j) >= rlatu1(j)) THEN
+          print *, ' Attention ! rlatv > rlatu1 ', rlatv(j), rlatu1(j), j
+          STOP 17
+       ENDIF
+
+       IF (rlatv(j) >= rlatu(j)) THEN
+          print *, ' Attention ! rlatv > rlatu ', rlatv(j), rlatu(j), j
+          STOP 18
+       ENDIF
+    ENDDO
+
+    print *, 'Latitudes'
+    print 3, champmin, champmax
+
+3   Format(1x, ' Au centre du zoom, la longueur de la maille est', &
+         ' d environ ', f0.2, ' degres ', /, &
+         ' alors que la maille en dehors de la zone du zoom est ', &
+         "d'environ ", f0.2, ' degres ')
+
+  END SUBROUTINE fyhyp
+
+end module fyhyp_m
Index: LMDZ5/branches/testing/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2258)
@@ -31,7 +31,4 @@
   INTEGER out_latudim,out_latvdim,out_dim(3)
   INTEGER out_levdim
-
-  INTEGER, PARAMETER :: longcles = 20
-  REAL  clesphy0(longcles)
 
   INTEGER start(4),COUNT(4)
@@ -60,5 +57,5 @@
   pa= 50000.
 
-  CALL conf_gcm( 99, .TRUE. , clesphy0 )
+  CALL conf_gcm( 99, .TRUE. )
   CALL iniconst
   CALL inigeom
Index: LMDZ5/branches/testing/libf/dyn3d_common/inigeom.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/inigeom.F	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3d_common/inigeom.F	(revision 2258)
@@ -16,4 +16,6 @@
 c
 c
+      use fxhyp_m, only: fxhyp
+      use fyhyp_m, only: fyhyp
       IMPLICIT NONE
 c
@@ -264,9 +266,6 @@
       WRITE(6,*)'*** Inigeom , Y = Latitude  , der.tg. hyperbolique ***'
  
-       CALL fxyhyper( clat, grossismy, dzoomy, tauy    , 
-     ,                clon, grossismx, dzoomx, taux    ,
-     , rlatu,yprimu,rlatv, yprimv,rlatu1, yprimu1,rlatu2,yprimu2  ,
-     , rlonu,xprimu,rlonv,xprimv,rlonm025,xprimm025,rlonp025,xprimp025 )
-
+      CALL fyhyp(rlatu, yprimu, rlatv, rlatu2, yprimu2, rlatu1, yprimu1)
+      CALL fxhyp(xprimm025, rlonv, xprimv, rlonu, xprimu, xprimp025)
   
       ENDIF
Index: LMDZ5/branches/testing/libf/dyn3d_common/invert_zoom_x_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 2258)
+++ LMDZ5/branches/testing/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 2258)
@@ -0,0 +1,90 @@
+module invert_zoom_x_m
+
+  implicit none
+
+  INTEGER, PARAMETER:: nmax = 30000
+
+contains
+
+  subroutine invert_zoom_x(xf, xtild, Xprimt, xlon, xprimm, xuv)
+
+    use coefpoly_m, only: coefpoly
+    use nrtype, only: pi, pi_d, twopi_d, k8
+
+    include "dimensions.h"
+    ! for iim
+
+    include "serre.h"
+    ! for clon
+
+    REAL(K8), intent(in):: Xf(0:), xtild(0:), Xprimt(0:) ! (0:2 * nmax)
+    real, intent(out):: xlon(:), xprimm(:) ! (iim)
+
+    REAL(K8), intent(in):: xuv
+    ! 0. si calcul aux points scalaires 
+    ! 0.5 si calcul aux points U 
+
+    ! Local:
+    REAL(K8) xo1, Xfi, a0, a1, a2, a3, Xf1, Xprimin
+    integer i, it, iter
+    REAL(K8), parameter:: my_eps = 1e-6_k8
+
+    REAL(K8) xxprim(iim), xvrai(iim) 
+    ! intermediary variables because xlon and xprimm are simple precision
+
+    !------------------------------------------------------------------
+
+    DO i = 1, iim
+       Xfi = - pi_d + (i + xuv - 0.75_k8) * twopi_d / iim
+
+       it = 2 * nmax
+       do while (xfi < xf(it) .and. it >= 1)
+          it = it - 1
+       end do
+
+       ! Calcul de Xf(xvrai(i)) 
+
+       xvrai(i) = xtild(it)
+
+       IF (it == 2 * nmax) THEN
+          it = 2 * nmax -1
+       END IF
+
+       CALL coefpoly(Xf(it), Xf(it + 1), Xprimt(it), Xprimt(it + 1), &
+            xtild(it), xtild(it + 1), a0, a1, a2, a3)
+       Xf1 = Xf(it)
+       Xprimin = a1 + xvrai(i) * (2._k8 * a2 + xvrai(i) * 3._k8 * a3)
+       xo1 = xvrai(i)
+       iter = 1
+
+       do
+          xvrai(i) = xvrai(i) - (Xf1 - Xfi) / Xprimin
+          IF (ABS(xvrai(i) - xo1) <= my_eps .or. iter == 300) exit
+          xo1 = xvrai(i)
+          Xf1 = a0 + xvrai(i) * (a1 + xvrai(i) * (a2 + xvrai(i) * a3))
+          Xprimin = a1 + xvrai(i) * (2._k8 * a2 + xvrai(i) * 3._k8 * a3)
+       end DO
+
+       if (ABS(xvrai(i) - xo1) > my_eps) then
+          ! iter == 300
+          print *, 'Pas de solution.'
+          print *, i, xfi
+          STOP 1
+       end if
+
+       xxprim(i) = twopi_d / (iim * Xprimin)
+    end DO
+
+    DO i = 1, iim -1
+       IF (xvrai(i + 1) < xvrai(i)) THEN
+          print *, 'xvrai(', i + 1, ') < xvrai(', i, ')'
+          STOP 1
+       END IF
+    END DO
+
+    xlon = xvrai + clon / 180. * pi
+    xprimm = xxprim
+
+  end subroutine invert_zoom_x
+
+end module invert_zoom_x_m
Index: LMDZ5/branches/testing/libf/dyn3d_common/principal_cshift_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d_common/principal_cshift_m.F90	(revision 2258)
+++ LMDZ5/branches/testing/libf/dyn3d_common/principal_cshift_m.F90	(revision 2258)
@@ -0,0 +1,45 @@
+module principal_cshift_m
+
+  implicit none
+
+contains
+
+  subroutine principal_cshift(is2, xlon, xprimm)
+
+    ! Add or subtract 2 pi so that xlon is near [-pi, pi], then cshift
+    ! so that xlon is in ascending order. Make the same cshift on
+    ! xprimm.
+
+    use nrtype, only: twopi
+
+    include "dimensions.h"
+    ! for iim
+
+    include "serre.h"
+    ! for clon
+
+    integer, intent(in):: is2
+    real, intent(inout):: xlon(:), xprimm(:) ! (iim + 1)
+
+    !-----------------------------------------------------
+
+    if (is2 /= 0) then
+       IF (clon <= 0.) THEN
+          IF (is2 /= 1) THEN
+             xlon(:is2 - 1) = xlon(:is2 - 1) + twopi
+             xlon(:iim) = cshift(xlon(:iim), shift = is2 - 1)
+             xprimm(:iim) = cshift(xprimm(:iim), shift = is2 - 1)
+          END IF
+       else
+          xlon(is2 + 1:iim) = xlon(is2 + 1:iim) - twopi
+          xlon(:iim) = cshift(xlon(:iim), shift = is2)
+          xprimm(:iim) = cshift(xprimm(:iim), shift = is2)
+       end IF
+    end if
+
+    xlon(iim + 1) = xlon(1) + twopi
+    xprimm(iim + 1) = xprimm(1)
+
+  end subroutine principal_cshift
+
+end module principal_cshift_m
Index: LMDZ5/branches/testing/libf/dyn3dmem/calfis_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/calfis_loc.F	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dmem/calfis_loc.F	(revision 2258)
@@ -21,5 +21,4 @@
      $                  pdq,
      $                  flxw,
-     $                  clesphy0,
      $                  pdufi,
      $                  pdvfi,
@@ -141,8 +140,4 @@
       REAL,INTENT(OUT) :: pdqfi(iip1,jjb_u:jje_u,llm,nqtot) ! tendency on tracers
       REAL,INTENT(OUT) :: pdpsfi(iip1,jjb_u:jje_u) ! tendency on surface pressure (Pa/s)
-
-      INTEGER,PARAMETER :: longcles = 20
-      REAL,INTENT(IN) :: clesphy0( longcles ) ! unused
-
 
 #ifdef CPP_PHYS
@@ -674,12 +669,9 @@
      .             zphis_omp,
      .             presnivs_omp,
-     .             clesphy0,
      .             zufi_omp,
      .             zvfi_omp,
      .             ztfi_omp,
      .             zqfi_omp,
-c#ifdef INCA
      .             flxwfi_omp,
-c#endif
      .             zdufi_omp,
      .             zdvfi_omp,
Index: LMDZ5/branches/testing/libf/dyn3dmem/call_calfis_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/call_calfis_mod.F90	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dmem/call_calfis_mod.F90	(revision 2258)
@@ -68,5 +68,5 @@
   
   
-  SUBROUTINE call_calfis(itau,lafin,clesphy0,ucov_dyn,vcov_dyn,teta_dyn,masse_dyn,ps_dyn, &
+  SUBROUTINE call_calfis(itau,lafin,ucov_dyn,vcov_dyn,teta_dyn,masse_dyn,ps_dyn, &
                          phis_dyn,q_dyn,flxw_dyn)
   USE dimensions_mod
@@ -91,5 +91,4 @@
     INTEGER,INTENT(IN) :: itau ! (time) iteration step number
     LOGICAL,INTENT(IN) :: lafin ! .true. if final time step
-    REAL,INTENT(IN) :: clesphy0( : ) ! not used    
     REAL,INTENT(INOUT) :: ucov_dyn(ijb_u:ije_u,llm) ! covariant zonal wind
     REAL,INTENT(INOUT) :: vcov_dyn(ijb_v:ije_v,llm) ! covariant meridional wind
@@ -231,6 +230,5 @@
                      ucov,vcov,teta,q,masse,ps,p,pk,phis,phi ,   &
                      du,dv,dteta,dq,                             &
-                     flxw,                                       &
-                     clesphy0, dufi,dvfi,dtetafi,dqfi,dpfi  )
+                     flxw, dufi,dvfi,dtetafi,dqfi,dpfi  )
 
     ijb=ij_begin
Index: LMDZ5/branches/testing/libf/dyn3dmem/ce0l.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/ce0l.F90	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dmem/ce0l.F90	(revision 2258)
@@ -48,12 +48,10 @@
 #endif
 
-  INTEGER, PARAMETER            :: longcles=20
   INTEGER                       :: ierr
-  REAL,    DIMENSION(longcles)  :: clesphy0
   REAL,    DIMENSION(iip1,jjp1) :: masque
   CHARACTER(LEN=15)             :: calnd
   REAL,    DIMENSION(iip1,jjp1) :: phis ! geopotentiel au sol
 !-------------------------------------------------------------------------------
-  CALL conf_gcm( 99, .TRUE. , clesphy0 )
+  CALL conf_gcm( 99, .TRUE. )
 
 #ifdef CPP_MPI
Index: LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90	(revision 2258)
@@ -2,5 +2,5 @@
 ! $Id$
 
-SUBROUTINE conf_gcm( tapedef, etatinit, clesphy0 )
+SUBROUTINE conf_gcm( tapedef, etatinit )
 
   USE control_mod
@@ -27,12 +27,7 @@
   !     etatinit  :     = TRUE   , on ne  compare pas les valeurs des para- 
   !     -metres  du zoom  avec  celles lues sur le fichier start .
-  !      clesphy0 :  sortie  .
-
-  LOGICAL etatinit
-  INTEGER tapedef
-
-  INTEGER        longcles
-  PARAMETER(     longcles = 20 )
-  REAL clesphy0( longcles )
+
+  LOGICAL,INTENT(IN) :: etatinit
+  INTEGER,INTENT(IN) :: tapedef
 
   !   Declarations :
@@ -45,7 +40,4 @@
   include "temps.h"
   include "comconst.h"
-
-  ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
-  ! include "clesphys.h"
   include "iniprint.h"
 
@@ -768,6 +760,7 @@
      !Config  Help = extension en longitude  de la zone du zoom  
      !Config         ( fraction de la zone totale)
-     dzoomx = 0.0
+     dzoomx = 0.2
      CALL getin('dzoomx',dzoomx)
+     call assert(dzoomx < 1, "conf_gcm: dzoomx must be < 1")
 
      !Config  Key  = dzoomy
@@ -776,6 +769,7 @@
      !Config  Help = extension en latitude de la zone  du zoom  
      !Config         ( fraction de la zone totale)
-     dzoomy = 0.0
+     dzoomy = 0.2
      CALL getin('dzoomy',dzoomy)
+     call assert(dzoomy < 1, "conf_gcm: dzoomy must be < 1")
 
      !Config  Key  = taux
Index: LMDZ5/branches/testing/libf/dyn3dmem/gcm.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/gcm.F	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dmem/gcm.F	(revision 2258)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: $
 !
 c
@@ -23,12 +23,12 @@
 ! Only INCA needs these informations (from the Earth's physics)
       USE indice_sol_mod
+      USE mod_phys_lmdz_omp_data, ONLY: klon_omp 
 #endif
 
 #ifdef CPP_PHYS
-      USE mod_grid_phy_lmdz
-      USE mod_phys_lmdz_para, ONLY : klon_mpi_para_nb
-      USE mod_phys_lmdz_omp_data, ONLY: klon_omp 
-      USE dimphy
-      USE comgeomphy
+!      USE mod_grid_phy_lmdz
+!      USE mod_phys_lmdz_para, ONLY : klon_mpi_para_nb
+!      USE dimphy
+!      USE comgeomphy
 #endif
       IMPLICIT NONE
@@ -83,11 +83,4 @@
 #endif
 
-      INTEGER         longcles
-      PARAMETER     ( longcles = 20 )
-      REAL  clesphy0( longcles )
-      SAVE  clesphy0
-
-
-
       REAL zdtvr
 
@@ -111,13 +104,6 @@
 
       LOGICAL lafin
-c      INTEGER ij,iq,l,i,j
-      INTEGER i,j
-
 
       real time_step, t_wrt, t_ops
-
-
-      LOGICAL call_iniphys
-      data call_iniphys/.true./
 
 c+jld variables test conservation energie
@@ -142,17 +128,4 @@
 
 c-----------------------------------------------------------------------
-c    variables pour l'initialisation de la physique :
-c    ------------------------------------------------
-      INTEGER ngridmx
-      PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
-      REAL zcufi(ngridmx),zcvfi(ngridmx)
-      REAL latfi(ngridmx),lonfi(ngridmx)
-      REAL airefi(ngridmx)
-      SAVE latfi, lonfi, airefi
-      
-      INTEGER :: ierr
-
-
-c-----------------------------------------------------------------------
 c   Initialisations:
 c   ----------------
@@ -171,12 +144,7 @@
 c  ---------------------------------------
 c
-! Ehouarn: dump possibility of using defrun
-!#ifdef CPP_IOIPSL
-      CALL conf_gcm( 99, .TRUE. , clesphy0 )
+      CALL conf_gcm( 99, .TRUE. )
       if (mod(iphysiq, iperiod) /= 0) call abort_gcm("conf_gcm",
      s "iphysiq must be a multiple of iperiod", 1)
-!#else
-!      CALL defrun( 99, .TRUE. , clesphy0 )
-!#endif
 c
 c
@@ -192,11 +160,12 @@
 #ifdef CPP_PHYS
         CALL Init_Phys_lmdz(iim,jjp1,llm,mpi_size,distrib_phys)
-#endif
+!#endif
+!      CALL set_bands
+!#ifdef CPP_PHYS
+      CALL Init_interface_dyn_phys
+#endif
+      CALL barrier
+
       CALL set_bands
-#ifdef CPP_PHYS
-      CALL Init_interface_dyn_phys
-#endif
-      CALL barrier
-
       if (mpi_rank==0) call WriteBands
       call Set_Distrib(distrib_caldyn)
@@ -206,9 +175,9 @@
 c$OMP END PARALLEL
 
-#ifdef CPP_PHYS
-c$OMP PARALLEL
-      call InitComgeomphy
-c$OMP END PARALLEL 
-#endif
+!#ifdef CPP_PHYS
+!c$OMP PARALLEL
+!      call InitComgeomphy ! now done in iniphysiq
+!c$OMP END PARALLEL 
+!#endif
 
 c-----------------------------------------------------------------------
@@ -225,5 +194,5 @@
         call ioconf_calendar('noleap')
         write(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
-      else if (calend == 'earth_366d') then
+      else if (calend == 'gregorian') then
         call ioconf_calendar('gregorian')
         write(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
@@ -321,9 +290,9 @@
 
 C
-C on remet le calendrier à zero si demande
+C on remet le calendrier \`a zero si demande
 c
       IF (start_time /= starttime) then
         WRITE(lunout,*)' GCM: Attention l''heure de depart lue dans le'
-     &,' fichier restart ne correspond pas à celle lue dans le run.def'
+     &,' fichier restart ne correspond pas a celle lue dans le run.def'
         IF (raz_date == 1) then
           WRITE(lunout,*)'Je prends l''heure lue dans run.def'
@@ -431,33 +400,12 @@
 c   Initialisation de la physique :
 c   -------------------------------
-      IF (call_iniphys.and.(iflag_phys==1.or.iflag_phys>=100)) THEN
-         latfi(1)=rlatu(1)
-         lonfi(1)=0.
-         zcufi(1) = cu(1)
-         zcvfi(1) = cv(1)
-         DO j=2,jjm
-            DO i=1,iim
-               latfi((j-2)*iim+1+i)= rlatu(j)
-               lonfi((j-2)*iim+1+i)= rlonv(i)
-               zcufi((j-2)*iim+1+i) = cu((j-1)*iip1+i)
-               zcvfi((j-2)*iim+1+i) = cv((j-1)*iip1+i)
-            ENDDO
-         ENDDO
-         latfi(ngridmx)= rlatu(jjp1)
-         lonfi(ngridmx)= 0.
-         zcufi(ngridmx) = cu(ip1jm+1)
-         zcvfi(ngridmx) = cv(ip1jm-iim)
-         CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,aire,airefi)
-
-         WRITE(lunout,*)
-     .       'GCM: WARNING!!! vitesse verticale nulle dans la physique'
+      IF ((iflag_phys==1).or.(iflag_phys>=100)) THEN
 ! Physics:
 #ifdef CPP_PHYS
-         CALL iniphysiq(ngridmx,llm,daysec,day_ini,dtphys/nsplit_phys, 
-     &                latfi,lonfi,airefi,zcufi,zcvfi,rad,g,r,cpp, 
-     &                iflag_phys) 
-#endif
-         call_iniphys=.false.
-      ENDIF ! of IF (call_iniphys.and.(iflag_phys==1.or.iflag_phys>=100))
+         CALL iniphysiq(iim,jjm,llm,daysec,day_ini,dtphys/nsplit_phys,
+     &                rlatu,rlonv,aire,cu,cv,rad,g,r,cpp,
+     &                iflag_phys)
+#endif
+      ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
 
 
@@ -547,6 +495,5 @@
 
 c$OMP PARALLEL DEFAULT(SHARED) COPYIN(/temps/,/logici/,/logicl/)
-      CALL leapfrog_loc(ucov,vcov,teta,ps,masse,phis,q,clesphy0,
-     .              time_0)
+      CALL leapfrog_loc(ucov,vcov,teta,ps,masse,phis,q,time_0)
 c$OMP END PARALLEL
 
Index: LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_loc.F	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_loc.F	(revision 2258)
@@ -9,6 +9,5 @@
 
       SUBROUTINE leapfrog_loc(ucov0,vcov0,teta0,ps0,
-     &                        masse0,phis0,q0,clesphy0,
-     &                        time_0)
+     &                        masse0,phis0,q0,time_0)
 
        USE misc_mod
@@ -82,6 +81,4 @@
 !      include "mpif.h"
       
-      INTEGER,PARAMETER :: longcles = 20
-      REAL,INTENT(IN) :: clesphy0( longcles ) ! not used
       REAL,INTENT(IN) :: time_0 ! not used
 
@@ -757,5 +754,5 @@
        IF( apphys )  THEN
        
-         CALL call_calfis(itau,lafin,clesphy0,ucov,vcov,teta,masse,ps,  
+         CALL call_calfis(itau,lafin,ucov,vcov,teta,masse,ps,  
      &                     phis,q,flxw)
 ! #ifdef DEBUG_IO    
@@ -882,5 +879,5 @@
 !      $               du,dv,dteta,dq,
 !      $               flxw,
-!      $               clesphy0, dufi,dvfi,dtetafi,dqfi,dpfi  )
+!      $               dufi,dvfi,dtetafi,dqfi,dpfi  )
 ! !        CALL FTRACE_REGION_END("calfis")
 ! !        ijb=ij_begin
Index: LMDZ5/branches/testing/libf/dyn3dpar/calfis_p.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/calfis_p.F	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dpar/calfis_p.F	(revision 2258)
@@ -21,5 +21,4 @@
      $                  pdq,
      $                  flxw,
-     $                  clesphy0,
      $                  pdufi,
      $                  pdvfi,
@@ -140,7 +139,4 @@
       REAL,INTENT(OUT) :: pdqfi(iip1,jjp1,llm,nqtot) ! tendency on tracers
       REAL,INTENT(OUT) :: pdpsfi(iip1,jjp1) ! tendency on surface pressure (Pa/s)
-
-      INTEGER,PARAMETER :: longcles = 20
-      REAL,INTENT(IN) :: clesphy0( longcles ) ! unused
 
 #ifdef CPP_PHYS
@@ -636,12 +632,9 @@
      .             zphis_omp,
      .             presnivs_omp,
-     .             clesphy0,
      .             zufi_omp,
      .             zvfi_omp,
      .             ztfi_omp,
      .             zqfi_omp,
-c#ifdef INCA
      .             flxwfi_omp,
-c#endif
      .             zdufi_omp,
      .             zdvfi_omp,
Index: LMDZ5/branches/testing/libf/dyn3dpar/ce0l.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/ce0l.F90	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dpar/ce0l.F90	(revision 2258)
@@ -48,12 +48,10 @@
 #endif
 
-  INTEGER, PARAMETER            :: longcles=20
   INTEGER                       :: ierr
-  REAL,    DIMENSION(longcles)  :: clesphy0
   REAL,    DIMENSION(iip1,jjp1) :: masque
   CHARACTER(LEN=15)             :: calnd
   REAL,    DIMENSION(iip1,jjp1) :: phis ! geopotentiel au sol
 !-------------------------------------------------------------------------------
-  CALL conf_gcm( 99, .TRUE. , clesphy0 )
+  CALL conf_gcm( 99, .TRUE. )
 
 #ifdef CPP_MPI
Index: LMDZ5/branches/testing/libf/dyn3dpar/conf_gcm.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dpar/conf_gcm.F90	(revision 2220)
+++ LMDZ5/branches/testing/libf/dyn3dpar/conf_gcm.F90	(revision 2258)
@@ -2,5 +2,5 @@
 ! $Id$
 
-SUBROUTINE conf_gcm( tapedef, etatinit, clesphy0 )
+SUBROUTINE conf_gcm( tapedef, etatinit )
 
   USE control_mod
@@ -26,12 +26,7 @@
   !     etatinit  :     = TRUE   , on ne  compare pas les valeurs des para- 
   !     -metres  du zoom  avec  celles lues sur le fichier start .
-  !      clesphy0 :  sortie  .
-
-  LOGICAL etatinit
-  INTEGER tapedef
-
-  INTEGER        longcles
-  PARAMETER(     longcles = 20 )
-  REAL clesphy0( longcles )
+
+  LOGICAL,INTENT(IN) :: etatinit
+  INTEGER,INTENT(IN) :: tapedef
 
   !   Declarations :
@@ -44,7 +39,4 @@
   include "temps.h"
   include "comconst.h"
-
-  ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
-  ! include "clesphys.h"
   include "iniprint.h"
 
